Skip to main content
POST
/
auth
/
unlink-provider
curl -X POST "https://api.tktchurch.com/v1/auth/unlink-provider" \
  -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..." \
  -H "Content-Type: application/json" \
  -d '{
    "provider": "google"
  }'
This endpoint requires authentication.

Request Body

provider
string
required
The provider to unlink. One of:
  • google: Google OAuth authentication
  • facebook: Facebook OAuth authentication
  • apple: Apple Sign In authentication

Response

A successful request returns HTTP 200 OK status. The provider is unlinked from the current user’s account.

Error Responses

error
object
Error details when the request fails
Common error cases:
  • 400 Bad Request: Invalid provider value
  • 400 Bad Request: Cannot remove last authentication method
  • 401 Unauthorized: Missing or invalid access token
curl -X POST "https://api.tktchurch.com/v1/auth/unlink-provider" \
  -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..." \
  -H "Content-Type: application/json" \
  -d '{
    "provider": "google"
  }'